/*
 *            LVS Windows
 *      The Window Class System
 *
 *        Copyright 1991 (c), Lake View Software
 *                            4321 Harborough Rd.
 *                            Columbus, OH 43220
 *        All rights reserved.
 */

#include "winobj.hpp"

#ifndef WINMENU_HPP
#define WINMENU_HPP

struct Menu_Selection_s
{
    char *str;      // selection string
    int y,x;        // position
    int ret_val;    // return value
    int *check_ptr; // pointer to check variable  WinCheck
    char key;       // User key
    char *message;  //
    Menu_Selection_s *Next, *Prev;
};

class WinMenu:public WinObj
{
    protected:
        Menu_Selection_s *First, *Last, *Current;
        int selections;
        int bar_attr;
        int key_attr;
        int m_line;
        int m_attr;
        WinObj *m_win;
        void show_get (Menu_Selection_s *sel, int highlight);
        void mouse_routine (int y, int x);
    public:
        WinMenu ();
        ~WinMenu ();

        int prompt (int y,int x,int ret_val,char *str,char *message=0, 
                char hot_key=0);
        int read (int start_pos = -1);          // get menu
        void reset ();                          // reset the menu system
        void close ();
        int set_barattr (int attr);             // returns old value
        int set_keyattr (int attr);             // sets hot key attr
        int message_line (int new_line_no);     // returns old value
        int message_attr (int new_attr);        // returns old value
};


#endif
